baby_steps: calls your handler in baby_steps for set processing.(3)

NAME
baby_steps: calls your handler in baby_steps for set processing. -

  Functions
netsnmp_mib_handler * netsnmp_baby_steps_handler_get (u_long modes)
returns a baby_steps handler that can be injected into a given handler chain.
void netsnmp_baby_steps_handler_init (void)
initializes the baby_steps helper which then registers a baby_steps handler as a run-time injectable handler for configuration file use.
netsnmp_mib_handler * netsnmp_baby_steps_access_multiplexer_get (netsnmp_baby_steps_access_methods *am)
returns a baby_steps handler that can be injected into a given handler chain.
int netsnmp_baby_step_mode2flag (u_int mode)

Function Documentation

  netsnmp_mib_handler* netsnmp_baby_steps_access_multiplexer_get (netsnmp_baby_steps_access_methods * am)

returns a baby_steps handler that can be injected into a given handler chain. Definition at line 338 of file baby_steps.c.

References netsnmp_mib_handler_s::flags, netsnmp_mib_handler_s::myvoid, netsnmp_create_handler(), and netsnmp_mib_handler.

  netsnmp_mib_handler* netsnmp_baby_steps_handler_get (u_long modes)

returns a baby_steps handler that can be injected into a given handler chain. Definition at line 61 of file baby_steps.c.

References netsnmp_mib_handler_s::myvoid, netsnmp_create_handler(), netsnmp_handler_free(), netsnmp_mib_handler, snmp_log(), and SNMP_MALLOC_TYPEDEF.

Referenced by netsnmp_baby_steps_handler_init().

  void netsnmp_baby_steps_handler_init (void)

initializes the baby_steps helper which then registers a baby_steps handler as a run-time injectable handler for configuration file use. Definition at line 321 of file baby_steps.c.

References netsnmp_baby_steps_handler_get(), and netsnmp_register_handler_by_name().